> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance



## OpenAPI

````yaml /api-reference/openapi.json get /wallets/USDT
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /wallets/USDT:
    get:
      tags:
        - Payouts
      summary: Get Wallet Balance
      responses:
        '200':
          description: Get Wallet Balance
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      active:
                        type: boolean
                      availableBalance:
                        type: integer
                      pendingBalance:
                        type: integer
                      pendingSwapBalance:
                        type: integer
                      lockedBalance:
                        type: integer
                      userId:
                        type: string
                      currencyId:
                        type: string
                      p2pBalance:
                        type: integer
                      currency:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          active:
                            type: boolean
                          name:
                            type: string
                          code:
                            type: string
                          exchangeCode:
                            nullable: true
                          leverageBaseCurrencyCode:
                            nullable: true
                          leverageMultipler:
                            nullable: true
                          cardWithdrawalMultiplier:
                            type: number
                          cardFundingMultiplier:
                            type: number
                          receivable:
                            type: boolean
                          withdrawable:
                            type: boolean
                          transferrable:
                            type: boolean
                          minimumWithdrawal:
                            type: integer
                          minimumDeposit:
                            type: integer
                          maximumDeposit:
                            type: integer
                          maximumDailyDepositLimit:
                            type: integer
                          maximumWithdrawal:
                            type: integer
                          maximumDecimalPlaces:
                            type: integer
                          minimumLiquidity:
                            type: integer
                          maximumLiquidity:
                            type: integer
                          withdrawalFee:
                            type: integer
                          receiveFee:
                            type: integer
                          type:
                            type: string
                          leverageType:
                            nullable: true
                          receiveFeeType:
                            type: string
                          withdrawalFeeType:
                            type: string
                          maximumWithdrawalFee:
                            type: integer
                          allowUtilityPayments:
                            type: boolean
                          allowUnconfirmedTrading:
                            type: boolean
                          allowVirtualCardTransactions:
                            type: boolean
                          enableWithdrawalApproval:
                            type: boolean
                      totalSwappableBalance:
                        type: integer
                      totalPendingBalance:
                        type: integer
              example:
                message: Ok
                data:
                  id: fbdefc89-2a3a-4d33-8961-26eb18f2eb5e
                  createdAt: '2025-05-17T10:39:37.553Z'
                  updatedAt: '2025-05-17T10:39:37.553Z'
                  active: true
                  availableBalance: 0
                  pendingBalance: 0
                  pendingSwapBalance: 0
                  lockedBalance: 0
                  userId: cdf0e3c5-fbbc-4830-8e92-7ed3a1d40c04
                  currencyId: 55456608-8c9f-499d-99b4-15ceafef3212
                  p2pBalance: 0
                  currency:
                    id: 55456608-8c9f-499d-99b4-15ceafef3212
                    createdAt: '2021-11-22T09:16:50.727Z'
                    updatedAt: '2022-08-31T14:40:08.473Z'
                    active: true
                    name: Tether
                    code: USDT
                    exchangeCode: null
                    leverageBaseCurrencyCode: null
                    leverageMultipler: null
                    cardWithdrawalMultiplier: 0.9985
                    cardFundingMultiplier: 0.9985
                    receivable: true
                    withdrawable: true
                    transferrable: true
                    minimumWithdrawal: 0
                    minimumDeposit: 0
                    maximumDeposit: 0
                    maximumDailyDepositLimit: 0
                    maximumWithdrawal: 10000000
                    maximumDecimalPlaces: 4
                    minimumLiquidity: 0
                    maximumLiquidity: 0
                    withdrawalFee: 0
                    receiveFee: 0
                    type: STABLE
                    leverageType: null
                    receiveFeeType: PERCENTAGE
                    withdrawalFeeType: PERCENTAGE
                    maximumWithdrawalFee: 0
                    allowUtilityPayments: true
                    allowUnconfirmedTrading: true
                    allowVirtualCardTransactions: false
                    enableWithdrawalApproval: false
                  totalSwappableBalance: 0
                  totalPendingBalance: 0

````